{% extends 'profile/news/base_detail_blog.html' %}
{% load static %}
{% block main %}
<div role="main" class="main">

	<section class="page-header page-header-modern page-header-lg bg-tertiary border-0 my-0">
		<div class="container my-3">
			<div class="row">
				<div class="col-md-12 align-self-center p-static order-2 text-center">
					<h1 class="font-weight-bold text-10">Blog</h1>
				</div>
				<div class="col-md-12 align-self-center order-1">
					<ul class="breadcrumb breadcrumb-light d-block text-center">
						<li><a href="{% url 'profile:home' %}">Home</a></li>
						<li class="active">Blog</li>
					</ul>
				</div>
			</div>
		</div>
	</section>

	<section class="section position-relative border-0 m-0">
		<div class="container py-4">
			<div class="row">
				<div class="col-lg-8 mb-5 mb-lg-0 appear-animation" data-appear-animation="fadeInUpShorter" data-appear-animation-delay="1600">
					{% for x in page_obj %}
						<article class="mb-5">
							<div class="card border-0 border-radius-0 box-shadow-1">
								<div class="card-body p-3 z-index-1">
									<a href="">
										<img class="card-img-top border-radius-0 mb-2" src="{{x.thumbnail.url}}" alt="Card Image">
									</a>
									<p class="text-uppercase text-color-default text-1 my-2">
										<time pubdate datetime="2022-01-10"><i class="far fa-clock"></i> {{ x.created_at|date:"d M Y" }}</time> 
										<span class="opacity-3 d-inline-block px-2">|</span> 
										<i class="far fa-eye"></i> 
										Dilihat {{ x.seen }} kali 
										<span class="opacity-3 d-inline-block px-2">|</span> 
										<i class="far fa-user-circle"></i> 
										{{ x.created_by.first_name }} {{ x.created_by.last_name }}
									</p>
									<div class="card-body p-0">
										<h4 class="card-title text-5 font-weight-bold pb-1 mb-2"><a class="text-color-dark text-color-hover-primary text-decoration-none" href="{% url 'profile:news_detail' x.slug %}" style="color: black;">{{x.title}}</a></h4>
										<p class="card-text mb-2">{{x.content | safe | truncatewords:25}}</p>
										<a href="{% url 'profile:news_detail' x.slug %}" class="btn btn-link font-weight-semibold text-decoration-none text-3 ps-0">READ MORE</a>
									</div>
								</div>
							</div>
						</article>
					{% endfor %}
					<!-- Tampilkan navigasi pagination -->
					<ul class="custom-pagination-style-1 pagination pagination-rounded pagination-md justify-content-center">
						{% if page_obj.has_previous %}
							<li class="page-item">
								<a class="page-link" href="?page={{ page_obj.previous_page_number }}&amp;q={{ query }}">Prev</a>
							</li>
						{% endif %}

						{% for num in page_obj.paginator.page_range %}
							{% if page_obj.number == num %}
								<li class="page-item active"><a class="page-link" href="#">{{ num }}</a></li>
							{% elif num > page_obj.number|add:'-3' and num < page_obj.number|add:'3' %}
								<li class="page-item"><a class="page-link" href="?page={{ num }}&amp;q={{ query }}">{{ num }}</a></li>
							{% endif %}
						{% endfor %}

						{% if page_obj.has_next %}
							<li class="page-item">
								<a class="page-link" href="?page={{ page_obj.next_page_number }}&amp;q={{ query }}">Next</a>
							</li>
						{% endif %}
					</ul>
				</div>
				<div class="blog-sidebar col-lg-4 pt-4 pt-lg-0 appear-animation" data-appear-animation="fadeInUpShorter" data-appear-animation-delay="1800">
					<aside class="sidebar">
						<div class="px-3 mb-4">
							<h3 class="text-color-quaternary text-capitalize font-weight-bold text-5 m-0 mb-3">About The Blog</h3>
							<p class="m-0">{{about.deskripsi}}</p>
						</div>
						<div class="py-1 clearfix">
							<hr class="my-2">
						</div>
						<!-- <div class="px-3 mt-4">
							<form action="page-search-results.html" method="get">
								<div class="input-group mb-3 pb-1">
									<input class="form-control box-shadow-none text-1 border-0 bg-color-grey" placeholder="Search..." name="s" id="s" type="text">
									<button type="submit" class="btn bg-color-grey text-1 p-2"><i class="fas fa-search m-2"></i></button>
								</div>
							</form>
						</div> -->
						<div class="py-1 clearfix">
							<hr class="my-2">
						</div>
						<div class="tabs tabs-dark mb-4 pb-2">
							<ul class="nav nav-tabs">
								<li class="nav-item"><a class="nav-link show active text-1 font-weight-bold text-uppercase" href="#popularPosts" data-bs-toggle="tab">Popular</a></li>
								<li class="nav-item"><a class="nav-link text-1 font-weight-bold text-uppercase" href="#recentPosts" data-bs-toggle="tab">Recent</a></li>
							</ul>
							<div class="tab-content">
								<div class="tab-pane active" id="popularPosts">
									<ul class="simple-post-list">
										{% for dt in favs %}
										<li>
											<div class="post-image">
												<div class="img-thumbnail img-thumbnail-no-borders d-block">
													<a href="{% url 'profile:news_detail' slug=dt.slug %}">
														<img src="{{dt.thumbnail.url}}" width="50" height="50" alt="">
													</a>
												</div>
											</div>
											<div class="post-info">
												<a href="{% url 'profile:news_detail' slug=dt.slug %}" style="color: black;">{{dt.title}}</a>
												<div class="post-meta">
													<i class="far fa-clock"></i> {{ dt.created_at|date:"d M Y" }}
												</div>
											</div>
										</li>
										{% endfor %}
									</ul>
								</div>
								<div class="tab-pane" id="recentPosts">
									<ul class="simple-post-list">
										{% for dt in recent %}
										<li>
											<div class="post-image">
												<div class="img-thumbnail img-thumbnail-no-borders d-block">
													<a href="#">
														<img src="{{dt.thumbnail.url}}" width="50" height="50" alt="">
													</a>
												</div>
											</div>
											<div class="post-info">
												<a href="#" style="color: black;">{{dt.title}}</a>
												<div class="post-meta">
													<i class="far fa-clock"></i> {{ dt.created_at|date:"d M Y" }}
												</div>
											</div>
										</li>
										{% endfor %}
									</ul>
								</div>
							</div>
						</div>
						<div class="py-1 clearfix">
							<hr class="my-2">
						</div>
						<!-- <div class="px-3 mt-4">
							<h3 class="text-color-quaternary text-capitalize font-weight-bold text-5 m-0 mb-3">Recent Comments</h3>
							<div class="pb-2 mb-1">
								<a href="#" class="text-color-default text-2 mb-0 d-block text-decoration-none line-height-4">Admin on <strong class="text-color-dark text-hover-primary text-4">Vivamus sollicitudin</strong> <span class="text-uppercase text-1 d-block pt-1 pb-3">10 Jan 2022</span></a>
								<a href="#" class="text-color-default text-2 mb-0 d-block text-decoration-none line-height-4">John Doe on <strong class="text-color-dark text-hover-primary text-4">Lorem ipsum dolor</strong> <span class="text-uppercase text-1 d-block pt-1 pb-3">10 Jan 2022</span></a>
								<a href="#" class="text-color-default text-2 mb-0 d-block text-decoration-none line-height-4">Admin on <strong class="text-color-dark text-hover-primary text-4">Consectetur adipiscing</strong> <span class="text-uppercase text-1 d-block pt-1 pb-3">10 Jan 2022</span></a>
							</div>
						</div> -->
						<div class="py-1 clearfix">
							<hr class="my-2">
						</div>
						<!-- <div class="px-3 mt-4">
							<h3 class="text-color-quaternary text-capitalize font-weight-bold text-5 m-0">Categories</h3>
							<ul class="nav nav-list flex-column mt-2 mb-0 p-relative right-9">
								{% for x in cats %}
								<li class="nav-item"><a class="nav-link bg-transparent border-0" href="#">{{x.nama}}</a></li>
								{% endfor %}
							</ul>
						</div> -->
					</aside>
				</div>
			</div>
		</div>
	</section>

	<!-- <section class="section section-with-shape-divider section-height-3 bg-tertiary border-0 m-0">
		<div class="shape-divider" style="height: 116px;">
			<svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 1920 116" preserveAspectRatio="xMinYMin">
				<path class="custom-svg-fill-color-tertiary-darken" d="M0,24c2.86,0.42,7.41,1.1,13,2c6.13,0.98,10.67,1.77,12,2c11.67,2.01,42.24,7.05,68,11
					c7.79,1.2,22.72,3.48,41,6c20.75,2.86,38.83,5.06,74,9c41.19,4.61,62.09,6.95,93,10c57.4,5.66,101.17,9.03,114,10
					c9.13,0.69,40.29,3.02,109,7c48.33,2.8,87.04,5.04,132,7c76.86,3.35,135.02,4.27,184,5c104.27,1.56,187.39,0.71,234,0
					c21.92-0.34,91.62-1.5,183-5c50.62-1.94,106.43-4.12,181-9c57.01-3.73,108.05-7.94,152-12c94.91-8.78,162.37-17.44,182-20
					c41.76-5.45,72.06-10.09,96-14c21.23-3.47,39.04-6.63,52-9c0-11.67,0-23.33,0-35C1279-11,638-11-3-11C-2,0.67-1,12.33,0,24z"/>
				<path fill="#F7F7F7" d="M-7,23c1.59,0.23,4.03,0.58,7,1c82.06,11.6,145.17,16.35,182,19c244.62,17.62,377,23,377,23
					c157.86,6.42,277.64,7.71,308,8c75.8,0.73,232.89,1.31,438-6c0,0,137.72-4.66,358-19c42.98-2.8,104.01-7.03,183-16
					c33.26-3.78,60.85-7.38,80-10c0-9.01,0-18.01,0-27.02c-644,0-1288,0-1932,0C-6.33,4.99-6.67,13.99-7,23z"/>
			</svg>
		</div>
		<div class="container pt-4 pb-3 mt-5">
			<div class="row align-items-center justify-content-center pt-3">
				<div class="col-md-9 col-lg-7 col-xl-9 text-center text-xl-start mb-4 mb-xl-0">
					<h2 class="text-color-light font-weight-medium line-height-4 text-9 negative-ls-1 mb-2">For <span class="font-weight-extra-bold custom-highlight-1 p-1 appear-animation" data-appear-animation="customHighlightAnim" data-appear-animation-delay="300">Residential and Commercial</span> Cleaning</h2>
					<p class="custom-font-secondary custom-font-size-1 font-weight-light text-color-light opacity-8 mb-0">Our Staff is trained to clean everything you need!</p>
				</div>
				<div class="col-xl-3 text-center text-xl-end">
					<div class="position-relative">
						<a href="demo-cleaning-services-contact.html" class="btn btn-secondary btn-modern font-weight-bold text-3 btn-px-4 py-3">BOOK NOW IN 60 SECONDS</a>
					</div>
				</div>
			</div>
		</div>
	</section> -->

</div>
{% endblock main %}

